Support » Plugin: Awesome Support - WordPress HelpDesk & Support Plugin » Compatibility with Woo Polylang integration

  • Resolved kateeba

    (@kateeba)


    Hi,

    I have following problem:
    I am using a multilingual website and have installed the Polylang and Woo Polylang Integration plugins. Unfortunately, Awesome Support doesn’t seem to be compatible with Woo Polylang integration. If Awesome is activated there is a conflict with the Woo endpoint pages like My Account, Shopping Cart, etc… Then only an empty blog page will be displayed instead of the shopping cart. If I deactivate Awesome everything works correct.

    What can I do?

    Thanks.

    Elena

Viewing 12 replies - 1 through 12 (of 12 total)
  • Hi @kateeba

    We have created a documentation for the integration of polylang with Awesome Support. Please check here,

    https://getawesomesupport.com/documentation/awesome-support/polylang-installation-and-configuration/

    Please let me know if you need any further help.

    Regards

    Thread Starter kateeba

    (@kateeba)

    Hi Jawad,

    thanks for the answer. I have no problem with Polylang, it all works. Only with the Woo Polylang Integration plugin. Awesome is not compatible with this plugin. The Woo endpoints will then be overwritten with any blog page.

    lg elena

    Hi @kateeba

    Could you share me the debug.log file to dig in deeper? I have tried to replicate the issue on my end but for me it worked fine. Please also let me know if the issue happen on the site in English or in another language.

    Regards
    Jawad Ahmed

    Thread Starter kateeba

    (@kateeba)

    Hi Jawad,

    Unfortunately, debugging is disabled. So I don’t have a log file. Should i activate it?

    What I noticed, however, is that the error only occurs in the main language German.

    Thanks.

    lg Elena

    • This reply was modified 9 months, 3 weeks ago by kateeba.
    Plugin Author yeisonbp

    (@yeisonbp)

    Hi @kateeba,

    Yes, you can activate the flags. Here is an article for debugging:

    https://wordpress.org/support/article/debugging-in-wordpress/

    Also, could you switch to a default WP theme to see if the issue continues? If it continues, could you deactivate plugins one by one until the issue fixes, or if by only having the Awesome Support plugin, Polylang and WooPolylang active?

    Thanks.

    Thread Starter kateeba

    (@kateeba)

    Hi,

    I have activated debugging.

    There is no similar problem with the other themes. The error only occurs if Woo Polylang Integration and Awesome Support are activated at the same time.

    lg elena

    Thread Starter kateeba

    (@kateeba)

    The last entry in the debug file:

    [16-Sep-2021 08:09:05 UTC] PHP Warning:  session_set_save_handler(): Cannot change save handler when headers already sent in /home/.sites/341/site169/web/fridgegrow.com/wp-content/plugins/awesome-support/vendor/ericmann/sessionz/php/Manager.php on line 133
    [16-Sep-2021 08:09:07 UTC] PHP Warning:  session_set_save_handler(): Cannot change save handler when headers already sent in /home/.sites/341/site169/web/fridgegrow.com/wp-content/plugins/awesome-support/vendor/ericmann/sessionz/php/Manager.php on line 133
    [16-Sep-2021 08:09:34 UTC] PHP Warning:  session_set_save_handler(): Cannot change save handler when headers already sent in /home/.sites/341/site169/web/fridgegrow.com/wp-content/plugins/awesome-support/vendor/ericmann/sessionz/php/Manager.php on line 133
    
    Thread Starter kateeba

    (@kateeba)

    This entry keeps coming back.

    lg Elena

    Thread Starter kateeba

    (@kateeba)

    ??

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi @kateeba,

    I apologize for my late reply. What is the PHP, Awesome Support and WordPress versions you are using?

    Thanks.

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi @kateeba,

    Please backup your site and test this version, let me know if this fixes the issue:

    https://filemeto.com/#!/d?s=ufyrdX

    Thanks.

    Plugin Author yeisonbp

    (@yeisonbp)

    Hi,

    Marking as solved due to inactivity, but if you need more assistance, let me know and I will help.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Compatibility with Woo Polylang integration’ is closed to new replies.